package mapped;

import net.runelite.mapping.ObfuscatedGetter;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;
import net.runelite.rs.api.RSPlayerCompositionColorTextureOverride;

@ObfuscatedName("gx")
public class PlayerCompositionColorTextureOverride implements RSPlayerCompositionColorTextureOverride {
   @ObfuscatedName("aa")
   @ObfuscatedGetter(
      intValue = 1420775345
   )
   static int field1790;
   @ObfuscatedName("su")
   @ObfuscatedSignature(
      descriptor = "Lun;"
   )
   static PrivateChatMode privateChatMode;
   @ObfuscatedName("ar")
   public short[] playerCompositionRecolorTo;
   @ObfuscatedName("ao")
   public short[] playerCompositionRetextureTo;

   PlayerCompositionColorTextureOverride(int var1) {
      ItemComposition var2 = class214.method4226(var1);
      if(var2.method3965_base()) {
         this.playerCompositionRecolorTo = new short[var2.recolorTo.length];
         System.arraycopy(var2.recolorTo, 0, this.playerCompositionRecolorTo, 0, this.playerCompositionRecolorTo.length);
      }

      if(var2.method3952_base()) {
         this.playerCompositionRetextureTo = new short[var2.retextureTo.length];
         System.arraycopy(var2.retextureTo, 0, this.playerCompositionRetextureTo, 0, this.playerCompositionRetextureTo.length);
      }

   }

   public short[] getPlayerCompositionRecolorTo() {
      return this.playerCompositionRecolorTo;
   }

   public short[] getPlayerCompositionRetextureTo() {
      return this.playerCompositionRetextureTo;
   }

   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "(B)V",
      garbageValue = "-19"
   )
   public static void method3518_base() {
      FileSystem.FileSystem_cacheFiles.clear();
   }
}
